FreeMat

- Main Page
- Related Pages

vtkSimplePointsReader

Section: Visualization Toolkit IO Classes

# Usage

vtkSimplePointsReader is a source object that reads a list of points from a file. Each point is specified by three floating-point values in ASCII format. There is one point per line of the file. A vertex cell is created for each point in the output. This reader is meant as an example of how to write a reader in VTK.

To create an instance of class vtkSimplePointsReader, simply invoke its constructor as follows

      obj = vtkSimplePointsReader

# Methods

The class vtkSimplePointsReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSimplePointsReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSimplePointsReader = obj.NewInstance ()`
- `vtkSimplePointsReader = obj.SafeDownCast (vtkObject o)`
- `obj.SetFileName (string )` - Set/Get the name of the file from which to read points.
- `string = obj.GetFileName ()` - Set/Get the name of the file from which to read points.